public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/facile/
Date: Tue,  8 Aug 2017 17:15:51 +0000 (UTC)	[thread overview]
Message-ID: <1502212529.c74b4047c70df62c80e427215d53d90e439b46a4.asturm@gentoo> (raw)

commit:     c74b4047c70df62c80e427215d53d90e439b46a4
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  8 17:09:51 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug  8 17:15:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c74b4047

dev-ml/facile: 1.1.3 version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 dev-ml/facile/Manifest            |  1 +
 dev-ml/facile/facile-1.1.3.ebuild | 53 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-ml/facile/Manifest b/dev-ml/facile/Manifest
index df8d93a1cee..aa269c885a2 100644
--- a/dev-ml/facile/Manifest
+++ b/dev-ml/facile/Manifest
@@ -1 +1,2 @@
 DIST facile-1.1.2.tar.gz 99755 SHA256 ea8b72d1d171fb44c0c6dafbddac0ccb0a453a7caafd1852919d4f805eded367 SHA512 12c086a9e1d7b2d76c36fa3d7b519da24199bb958b56050d5635cd6eb0288b6d98845b4ade74e22127b2abd405f359b0a33cfd776042187f3ab506ad656676df WHIRLPOOL d643b8b7151fa262542f6408acda23b6a29466b48fc288ea9efc8b024c418e95ca50ef005a09c61f6030faddbff6d2f013b1ffddd4544291f8387b29303a0a32
+DIST facile-1.1.3.tar.gz 99656 SHA256 5cb63ddb0dca8de12cd54dbf0de37e0fa8af54e7c1f15ee035a33ec219be8aec SHA512 78d315188e661245eb7306b645e9baaca94db0b9511112b57dbc8597bf2f75cab5604c8f4cf850209464e802c636f592552c8b492730cb28896d2acd7f413346 WHIRLPOOL 31ec165d6f02ce0e3b2e4c12d151f14075916cce325f0028d56e3a2d62cdb03da7d157b223c1e7df06b30b603a89e0303a8c73b690fc659d60d7690614692b13

diff --git a/dev-ml/facile/facile-1.1.3.ebuild b/dev-ml/facile/facile-1.1.3.ebuild
new file mode 100644
index 00000000000..70b836ea6aa
--- /dev/null
+++ b/dev-ml/facile/facile-1.1.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="OCaml constraint programming library on integer & integer set finite domains"
+HOMEPAGE="http://opti.recherche.enac.fr/"
+SRC_URI="http://opti.recherche.enac.fr/facile/distrib/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/${PV}"
+
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+ocamlopt"
+
+RDEPEND=">=dev-lang/ocaml-4:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+	sys-apps/sed
+"
+
+DOCS=( README )
+
+PATCHES=( "${FILESDIR}/${PN}"-1.1-make.patch ) # Fix building on FreeBSD
+
+src_prepare() {
+	default
+
+	# Disable building native code objects if we dont have/want ocamlopt
+	if ! use ocamlopt; then
+		sed -i -e 's/\.opt//' src/Makefile || die "failed to change native code compiler to bytecode ones"
+		sed -i -e 's/ facile\.cmxa//' src/Makefile || die "failed to remove native code objects"
+		sed -i -e 's/\.opt/.out/g' \
+			-e 's: src/facile\.cmxa::'\
+			-e 's: src/facile\.a::'\
+			-e 's:^.*facile\.cmxa::'\
+			-e 's:^.*facile\.a::' Makefile || die "failed to remove native code objects"
+	fi
+}
+
+src_configure(){
+	# This is a custom configure script and it does not support standard options
+	./configure --faciledir "${D}"$(ocamlc -where)/facile/ || die
+}
+
+src_test() {
+	emake check
+}
+
+src_install(){
+	dodir $(ocamlc -where)
+	emake install
+	einstalldocs
+}


             reply	other threads:[~2017-08-08 17:15 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-08 17:15 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-24 21:05 [gentoo-commits] repo/gentoo:master commit in: dev-ml/facile/ Arthur Zamarin
2023-03-24 20:17 Arthur Zamarin
2023-03-24 20:17 Arthur Zamarin
2023-02-15 18:38 Matt Turner
2023-01-19 21:51 Maciej Barć
2022-12-07 13:52 David Seifert
2021-09-12  9:13 Alfredo Tupone
2021-06-20 23:40 Sam James
2021-06-20 23:40 Sam James
2019-03-10 22:46 Andreas Sturmlechner
2017-11-19  6:28 Michael Palimaka
2017-11-19  6:28 Michael Palimaka
2017-11-09 22:21 Sergei Trofimovich
2017-11-08 12:51 Tobias Klausmann
2017-11-07 22:52 Sergei Trofimovich
2017-11-07 17:57 Thomas Deutschmann
2017-11-05 19:37 Sergei Trofimovich
2017-08-08 17:15 Andreas Sturmlechner
2017-04-25  7:28 Michael Palimaka
2017-04-25  7:28 Michael Palimaka
2017-04-25  7:28 Michael Palimaka
2017-04-25  7:24 Jeroen Roovers
2017-01-26 15:28 Agostino Sarubbo
2017-01-26 11:00 Agostino Sarubbo
2017-01-25 21:09 Tobias Klausmann
2017-01-25 14:29 Agostino Sarubbo
2017-01-25 10:58 Agostino Sarubbo
2016-03-28  7:17 Alexis Ballier
2015-12-09  8:36 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1502212529.c74b4047c70df62c80e427215d53d90e439b46a4.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox